Bug 1491772 - Ansible Tower: Service can be created/ordered without selecting Tower provider from dropdown list
Summary: Ansible Tower: Service can be created/ordered without selecting Tower provide...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Greg Piatigorski
QA Contact: Pavol Kotvan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-14 15:50 UTC by Kedar Kulkarni
Modified: 2019-11-08 07:50 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:46 UTC
Category: Bug
Cloudforms Team: Ansible
Target Upstream Version:


Attachments (Terms of Use)
This zip file contains the screenshot files mentioned in the description of BZ (187.15 KB, application/zip)
2017-09-14 15:50 UTC, Kedar Kulkarni
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:54 UTC

Description Kedar Kulkarni 2017-09-14 15:50:51 UTC
Created attachment 1326120 [details]
This zip file contains the screenshot files mentioned in the description of BZ

Description of problem:
While creating a service of type "AnsibleTower" you can leave the "Provider" field blank and still create a service. If you order such service, then it will fail with error "Error: undefined method `manager' for nil:NilClass"

Version-Release number of selected component (if applicable):
5.8.2.0, upstream

How reproducible:
Believe 100%

Steps to Reproduce:
1.Create a service of type "Ansible Tower" as shown in Attachment "LeavingProviderEmptyAllowed.png"
2.Make sure you leave provider empty
3.If you go to "Catalog Items" and look at basic information, you will see "Ansible Tower Job Template" is empty as shown in the Attachment "CreateServiceWithoutTemplate.png"


Actual results:
If you ordered such service, it will fail as shown in the attachment "FailedAnsibleServiceSinceTowerNotSelected.png"

Expected results:
Do not allow service creation if the Tower does not exist and not selected in providers.

Additional info:

Comment 3 Kedar Kulkarni 2017-09-14 16:16:13 UTC
In 5.7.4.0 as well, I can create such service. I did not try ordering it.

Comment 9 CFME Bot 2018-05-10 21:06:59 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/7df1fc734209d1b80db28efe88294e21315e83e1
commit 7df1fc734209d1b80db28efe88294e21315e83e1
Author:     Greg Piatigorski <gpiatigo@gmail.com>
AuthorDate: Thu May  3 19:16:14 2018 -0400
Commit:     Greg Piatigorski <gpiatigo@gmail.com>
CommitDate: Thu May  3 19:16:14 2018 -0400

    Fixes Ansible Tower Service Catalog new item creation

    Checks for required Provider and Job Template selections in the drop downs

    https://bugzilla.redhat.com/show_bug.cgi?id=1491772

 app/controllers/catalog_controller.rb | 21 +
 1 file changed, 21 insertions(+)

Comment 11 errata-xmlrpc 2019-02-07 23:02:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.